Page MenuHomePhabricator

accel-ppp/L2TP restructure CLI
Closed, ResolvedPublicFEATURE REQUEST

Description

A new node called set vpn l2tp remote-access authentication radius-settings was added.

In T828 I splittet the radius configuration by adding a new parent node named radius to support additional configuration options in the future and keep everything organized unter the parend radius node.

In order to not inflationary add ned parent nodes the CLI options from

vyos@vyos# set vpn l2tp remote-access authentication radius-settings
Possible completions:
   acct-timeout Timeout to wait reply for Interim-Update packets. (default 3 seconds)
 > dae-server   IPv4 address and port to bind Dynamic Authorization Extension server (DM/CoA)
   max-try      Maximum number of tries to send Access-Request/Accounting-Request queries
   nas-identifier
                Value to send to RADIUS server in NAS-Identifier attribute and to be matched in DM/CoA requests.
   nas-ip-address
                Value to send to RADIUS server in NAS-IP-Address attribute and to be matched in DM/CoA requests. Also
 > rate-limit   Upload/Download speed limits
   timeout      Timeout to wait response from server (seconds)

Should be migrated to set vpn l2tp remote-access authentication radius

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

c-po assigned this task to hagbard.Jul 26 2019, 6:05 PM
c-po created this task.
Dmitry added a subscriber: Dmitry.Jul 26 2019, 7:22 PM
hagbard reassigned this task from hagbard to Dmitry.Jul 26 2019, 7:57 PM
hagbard added a subscriber: hagbard.
c-po added a comment.Jul 27 2019, 5:13 AM

Confirm fixed in latest rolling 201907270337

hagbard closed this task as Resolved.Jul 28 2019, 2:33 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 5 2019, 12:22 PM